Package org.kapott.hbci.comm

## Class Comm

- java.lang.Object
- - org.kapott.hbci.comm.Comm

Direct Known Subclasses:
  `CommPinTan`, `CommStandard`

    public abstract class Comm
    extends java.lang.Object

### Field Summary

Fields
`static java.lang.String` `ENCODING` Der zu verwendende Zeichensatz.
`protected Filter` `filter`

### Constructor Summary

Constructors
`protected` `Comm​(HBCIPassportInternal parentPassport)`

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
`void` `close()`
`protected abstract void` `closeConnection()`
`static Comm` `getInstance​(java.lang.String name, HBCIPassportInternal passport)`
`protected HBCIPassportInternal` `getParentPassport()`
`protected abstract void` `ping​(MSG msg)`
`MSG` `pingpong​(java.lang.String msgName, MSG msg)`
`protected abstract java.lang.StringBuffer` `pong​(MsgGen gen)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ENCODING

    public static final java.lang.String ENCODING

Der zu verwendende Zeichensatz.

See Also:
  Constant Field Values

#### filter

    protected Filter filter

### Constructor Detail

#### Comm

    protected Comm​(HBCIPassportInternal parentPassport)

### Method Detail

#### ping

    protected abstract void ping​(MSG msg)

#### pong

    protected abstract java.lang.StringBuffer pong​(MsgGen gen)

#### closeConnection

    protected abstract void closeConnection()

#### pingpong

    public MSG pingpong​(java.lang.String msgName,
                        MSG msg)

#### getInstance

    public static Comm getInstance​(java.lang.String name,
                                   HBCIPassportInternal passport)

#### getParentPassport

    protected HBCIPassportInternal getParentPassport()

#### close

    public void close()